Name:           perl-Lingua-EN-Tagger
Version:        0.16
Release:        2%{?dist}
Summary:        Part-of-speech tagger for English natural language processing
License:        GPLv3
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Lingua-EN-Tagger/
Source0:        http://www.cpan.org/authors/id/A/AC/ACOBURN/Lingua-EN-Tagger-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec) >= 0.84
BuildRequires:  perl(HTML::TokeParser) >= 3.45
BuildRequires:  perl(Lingua::Stem) >= 0.81
BuildRequires:  perl(Memoize) >= 1.01
BuildRequires:  perl(Memoize::ExpireLRU) >= 0.55
BuildRequires:  perl(Storable) >= 2.10
BuildRequires:  perl(Test::More)
Requires:       perl(HTML::TokeParser) >= 3.45
Requires:       perl(Lingua::Stem) >= 0.81
Requires:       perl(Memoize::ExpireLRU) >= 0.55
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
The module is a probability based, corpus-trained tagger that assigns POS
tags to English text based on a lookup dictionary and a set of probability
values. The tagger assigns appropriate tags based on conditional
probabilities - it examines the preceding tag to determine the appropriate
tag for the current word. Unknown words are classified according to word
morphology or can be set to be treated as nouns or other parts of speech.

%prep
%setup -q -n Lingua-EN-Tagger-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 30 2010 Iain Arnell <iarnell@gmail.com> 0.16-2
- license is GPLv3
- tweak buildrequires

* Mon Aug 16 2010 Iain Arnell <iarnell@epo.org> 0.16-1
- Specfile autogenerated by cpanspec 1.78.
